Summary: Utility to manage proxy settings for http, ftp and rsync
Name: proxy-config
Version: 1.0.10
Release: 1%{?dist}
Group: System Environment/Base
License: GPL-2.0-only
Packager: Simon Matter <simon.matter@invoca.ch>
Vendor: Invoca Systems
Distribution: Invoca Linux Server
Source0: proxy-config.sh
Source1: proxy-config.cfg
Source2: README.%{name}
Source3: http://www.gnu.org/licenses/gpl.txt
BuildArchitectures: noarch
BuildRoot: %{_tmppath}/%{name}-%{version}-root

%description
Proxy-config helps you to manage proxy settings for http, ftp and rsync.
The script in /etc/profile.d/ makes sure that the proxy environment
variables are set correctly.

%prep
%{__install} -d %{_builddir}/%{name}-%{version}
%{__install} -p -m 0644 %{SOURCE2} %{_builddir}/%{name}-%{version}/README
%{__install} -p -m 0644 %{SOURCE3} %{_builddir}/%{name}-%{version}/LICENSE

%install
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%{__install} -d %{buildroot}%{_sysconfdir}/{profile.d,sysconfig}

%{__install} -p -m 0644 %{SOURCE0} %{buildroot}%{_sysconfdir}/profile.d/%{name}.sh
%{__install} -p -m 0644 %{SOURCE1} %{buildroot}%{_sysconfdir}/sysconfig/%{name}

%clean
[ "%{buildroot}" != "/" ] && %{__rm} -rf %{buildroot}

%files
%defattr(-,root,root,-)
%config %{_sysconfdir}/profile.d/%{name}.sh
%config(noreplace) %{_sysconfdir}/sysconfig/%{name}
%doc %{name}-%{version}/README %{name}-%{version}/LICENSE

%changelog
* Sat Jan 20 2024 Simon Matter <simon.matter@invoca.ch> 1.0.10-1
- upgrade to 1.0.10

* Fri Feb 03 2023 Simon Matter <simon.matter@invoca.ch> 1.0.9-1
- upgrade to 1.0.9

* Thu Jun 24 2021 Simon Matter <simon.matter@invoca.ch> 1.0.8-1
- upgrade to 1.0.8

* Wed Sep 02 2020 Simon Matter <simon.matter@invoca.ch> 1.0.7-1
- upgrade to 1.0.7

* Wed Sep 02 2020 Simon Matter <simon.matter@invoca.ch> 1.0.6-1
- upgrade to 1.0.6

* Tue Sep 01 2020 Simon Matter <simon.matter@invoca.ch> 1.0.5-1
- upgrade to 1.0.5, remove csh support, add improvements

* Thu Jan 16 2020 Simon Matter <simon.matter@invoca.ch> 1.0.4-1
- upgrade to 1.0.4, suppress showing errors from hostname command

* Wed Jan 27 2016 Simon Matter <simon.matter@invoca.ch> 1.0.3-2
- remove execute rights from profile.d scripts

* Thu Jan 23 2014 Simon Matter <simon.matter@invoca.ch> 1.0.3-1
- upgrade to 1.0.3, adds HTTP_PROXY

* Fri Apr 15 2011 Simon Matter <simon.matter@invoca.ch> 1.0.2-2
- mass rebuild

* Tue Feb 19 2008 Simon Matter <simon.matter@invoca.ch> 1.0.2-1
- upgrade to 1.0.2

* Sat Sep 15 2007 Simon Matter <simon.matter@invoca.ch> 1.0.1-1
- upgrade to 1.0.1

* Thu Apr 07 2005 Simon Matter <simon.matter@invoca.ch>
- initial build
